// ActionScript file
import flash.desktop.ClipboardFormats;
import flash.desktop.NativeApplication;
import flash.desktop.NativeDragManager;
import flash.display.Bitmap;
import flash.display.Loader;
import flash.events.Event;
import flash.events.NativeDragEvent;
import flash.net.URLRequest;


private function onDragEnter(event:NativeDragEvent):void
{
	//accept the drag action
	NativeDragManager.acceptDragDrop(this);
}

private function onDragDrop(event:NativeDragEvent):void
{
	//get the array of files being drug into the app
	var files:Array = event.clipboard.getData(ClipboardFormats.FILE_LIST_FORMAT) as Array;
	
	// Instantiating loader to load dragged image
	var loader:Loader = new Loader();
	// Adding event listener to fire on complete
	loader.contentLoaderInfo.addEventListener(Event.COMPLETE, imageLoaded);
	// Loading dragged image
	loader.load(new URLRequest(File(files[0]).url));
}

private function imageLoaded(event:Event):void
{
	// Extract out of event object bitmap that was loaded
	var bitmap:Bitmap = event.currentTarget.content as Bitmap;
	// Set loadedImage.source to loaded bitmap object
	loadedImage.source = bitmap;
	// Set dock icon to loaded bitmap object
	nativeApplication.icon.bitmaps = [bitmap];
}
